CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > OpenFOAM Installation

Using OpenFOAM 2.3.0 in Ubuntu 14.1 LTS

Register Blogs Members List Search Today's Posts Mark Forums Read

Reply
 
LinkBack Thread Tools Display Modes
Old   July 31, 2014, 10:52
Default Using OpenFOAM 2.3.0 in Ubuntu 14.1 LTS
  #1
New Member
 
Peetak Mitra
Join Date: Jul 2012
Posts: 19
Rep Power: 6
peter.pan is on a distinguished road
Hi,

I am trying to install OpenFOAM 2.3.0 on my Ubuntu 14.1 LTS OS, but I am having some issues. I am following the instructions on http://www.openfoam.org/download/ubuntu.php
But when I try to install OpenFOAM or Paraview it says it cannot locate the software or something.

Is there any other trick that I can do, possibly avoiding having to do it from the source code myself?

On OpenFOAM's website, it says the current stable version is valid with Ubuntu versions of 12.x and 13.x and not the 14 version that I have.

Thanks,
Peetak
peter.pan is offline   Reply With Quote

Old   July 31, 2014, 11:31
Default
  #2
Senior Member
 
lore
Join Date: Mar 2010
Location: Italy
Posts: 464
Rep Power: 10
lovecraft22 is on a distinguished road
Send a message via Skype™ to lovecraft22
Quote:
Originally Posted by peter.pan View Post
But when I try to install OpenFOAM or Paraview it says it cannot locate the software or something.
That sounds like a bit generic as an error message…
lovecraft22 is offline   Reply With Quote

Old   July 31, 2014, 11:34
Default
  #3
New Member
 
Peetak Mitra
Join Date: Jul 2012
Posts: 19
Rep Power: 6
peter.pan is on a distinguished road
So is there something I could do differently?
peter.pan is offline   Reply With Quote

Old   July 31, 2014, 11:37
Default
  #4
Senior Member
 
lore
Join Date: Mar 2010
Location: Italy
Posts: 464
Rep Power: 10
lovecraft22 is on a distinguished road
Send a message via Skype™ to lovecraft22
Yes, you could post the full detailed error and also explain when that occurs…
lovecraft22 is offline   Reply With Quote

Old   August 1, 2014, 10:45
Default
  #5
Senior Member
 
Troy Snyder
Join Date: Jul 2009
Location: Akron, OH
Posts: 120
Rep Power: 10
tas38 is on a distinguished road
There is no trick. OpenFOAM is not yet available in Ubuntu 14 software repositories. You either have to install an older version of Ubuntu (12) to install from the repository (easy) or compile OpenFOAM from source (a bit more difficult). I have installed on Ubuntu 14 using the source pack installation instructions (http://www.openfoam.org/download/source.php) without incident.
tas38 is offline   Reply With Quote

Old   August 7, 2014, 17:39
Default
  #6
Senior Member
 
Join Date: Aug 2011
Posts: 251
Rep Power: 8
leflix is on a distinguished road
Quote:
Originally Posted by lovecraft22 View Post
I use PowerFLOW
You shouldn't !!
leflix is offline   Reply With Quote

Reply

Tags
installation of open foam, openfoam 2.1.x, ubuntu 14.04 lts

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
Prolem installing OpenFOAM Ver 2.3.0 source in Ubuntu 13.1.0 on VMware zandi OpenFOAM Installation 5 March 31, 2014 03:57
Openfoam Ubuntu 12.04 Unmet dependencies slls33 OpenFOAM Installation 10 April 9, 2013 04:16
Openfoam 2.1 installation in ubuntu 12.04 jsm OpenFOAM Installation 11 May 7, 2012 04:56
OpenFOAM vs Ubuntu 10.10 64 bit vkrastev OpenFOAM Installation 12 April 23, 2011 10:14
Error in apt-get update for installation of OpenFoam 1.7.1 on Ubuntu 10.10 StuntedChicken OpenFOAM Installation 1 January 9, 2011 11:43


All times are GMT -4. The time now is 02:28.